<template>
    <input type="text" v-model="imageComment"/>
    <button v-if="imageComment" @click="postComment()">Poster le commentaire</button>
    {{ success }}
</template>

<script>

import axios from 'axios';
import { useStore } from '@/store/store';


export default{
    name: "commentaireExist",
    props: {
        image: Object,
    },
    data(){
        return{
            // on va pushg = les comms dans la vue ici
            open: false,    
            imageComment: "",
            MyCommentaire: false,
            success: ""
        }
    },


    computed:{
    
    },
    mounted() { 

    },
    methods: {
        postComment(){
            // console.log(id);
            const headers = {
                    'content-type': 'application/json',
                    'authorization': 'Bearer ' + localStorage.getItem('token'),
                }
            axios.post('http://localhost:3500/api/commentaire/' + this.image._id, {
                commentaire: this.imageComment,
                user: localStorage.getItem('user'),
            }, {headers})
            .then(response => {
                // console.log(commentaire)
                const { addComment } = useStore()
                addComment(response.data)
                // addComment(this.imageComment)
                console.log(response)

                this.success = 'Commentaire posté'
            })
            .catch(error => {
                console.log(error.response)
                this.error = error.response.data.message
            })

        },

    }
}
</script>



<style scoped>
.show-commentaires{
    cursor: pointer;
}
</style>
<style>


</style>
